summaryrefslogtreecommitdiff
path: root/emacs-source
diff options
context:
space:
mode:
authorThomas Ulmer <thomasmulmer02@gmail.com>2026-03-01 11:35:48 -0800
committerThomas Ulmer <thomasmulmer02@gmail.com>2026-03-01 11:35:48 -0800
commit6d8430971dada74478a0cd2c9eca2272a105b744 (patch)
tree3688aa99212c959fde9b7cd838b870110c482f80 /emacs-source
parent89262cf0fcdbd57241c4f24ebb6dde0af9f92279 (diff)
move emacs build out of tree
Diffstat (limited to 'emacs-source')
m---------emacs-source/emacs-source0
-rwxr-xr-xemacs-source/setup.sh28
2 files changed, 28 insertions, 0 deletions
diff --git a/emacs-source/emacs-source b/emacs-source/emacs-source
new file mode 160000
+Subproject 3ea1010a6b0a63e90896133deaba189f13d4743
diff --git a/emacs-source/setup.sh b/emacs-source/setup.sh
new file mode 100755
index 0000000..e7ca491
--- /dev/null
+++ b/emacs-source/setup.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+EMACSFULL="--with-x-toolkit=gtk3 --disable-build-details --with-cairo \
+ --with-harfbuzz --with-libsystemd=no --with-modules \
+ --with-tree-sitter"
+
+EMACSMIN="--without-all \
+ --with-x-toolkit=no --without-xwidgets --without-x --without-ns --disable-ns-self-contained \
+ --with-xpm=no --with-jpeg=no --with-png=no --with-gif=no --with-tiff=no \
+ --without-internationalization --without-tree-sitter --without-mailutils"
+
+EMACSALWAYS="--with-gnutls --with-file-notification=yes --with-native-compilation=yes --with-zlib=yes"
+
+
+if [[ "$(read -e -p 'Build minimal emacs? [y/N]> '; echo $REPLY)" == [Yy]* ]]; then
+ EMACSOPT="${EMACSMIN} ${EMACSALWAYS}"
+else
+ EMACSOPT="${EMACSFULL} ${EMACSALWAYS}"
+fi
+cd emacs-source
+./autogen.sh
+./configure --prefix="${HOME}/.local" \
+ ${EMACSOPT} \
+ CFLAGS='-O2 -pipe'
+make
+make install